@import "/static/common/fonts/roboto/style.css";
@import url("/static/common/fonts/poppins/poppins.css");
@import "pc.css";
@import "mobile.css";
#btn-back-to-top {
position: fixed;
bottom: 20px;
right: 20px;
display: none;
}
footer{position:relative}
.lehaos_ade:not(#lehaos_ade_header):not(#lehaos_ade_footer)
{

  margin: 20px 0;
  border: 1px solid #c4e7f4;
  padding: 10px;
  position: relative;

}
  /* Đặt z-index cao cho các nút điều khiển carousel */
  .carause_index_news .carousel-control-prev,
  .carause_index_news .carousel-control-next {
    z-index: 1050; /* Đảm bảo giá trị z-index cao để nằm trên các phần tử khác */
    position: absolute; /* Để chúng có thể được đặt chính xác */
    top: 50%; /* Đặt vị trí dọc giữa */
    transform: translateY(-50%); /* Đảm bảo chúng luôn ở giữa theo chiều dọc */
  }

  /* Đặt vị trí của nút điều khiển trước */
  .carause_index_news .carousel-control-prev {
    left: 0; /* Đặt ở phía bên trái */
  }

  /* Đặt vị trí của nút điều khiển tiếp theo */
  .carause_index_news .carousel-control-next {
    right: 0; /* Đặt ở phía bên phải */
  }
#list_footer li{margin-bottom: 5px;}
a{text-decoration: none}
body{font-family: 'roboto', sans-serif;}
article img{max-width:100%; height: auto !important;max-height: 100%}
#article_list_thumnail{max-height: 250px}
.color_red{color: #f33f3f}
article{overflow: hidden}
#f-search .bi-search{margin: 5px 10px;}
.bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }

      .b-example-divider {
        width: 100%;
        height: 3rem;
        background-color: rgba(0, 0, 0, .1);
        border: solid rgba(0, 0, 0, .15);
        border-width: 1px 0;
        box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
      }

      .b-example-vr {
        flex-shrink: 0;
        width: 1.5rem;
        height: 100vh;
      }

      .bi {
        vertical-align: -.125em;
        fill: currentColor;
      }

      .nav-scroller {
        position: relative;
        z-index: 2;
        height: 2.75rem;
        overflow-y: hidden;
      }

      .nav-scroller .nav {
        display: flex;
        flex-wrap: nowrap;
        padding-bottom: 1rem;
        margin-top: -1px;
        overflow-x: auto;
        text-align: center;
        white-space: nowrap;
        -webkit-overflow-scrolling: touch;
      }

      .btn-bd-primary {
        --bd-violet-bg: #712cf9;
        --bd-violet-rgb: 112.520718, 44.062154, 249.437846;

        --bs-btn-font-weight: 600;
        --bs-btn-color: var(--bs-white);
        --bs-btn-bg: var(--bd-violet-bg);
        --bs-btn-border-color: var(--bd-violet-bg);
        --bs-btn-hover-color: var(--bs-white);
        --bs-btn-hover-bg: #6528e0;
        --bs-btn-hover-border-color: #6528e0;
        --bs-btn-focus-shadow-rgb: var(--bd-violet-rgb);
        --bs-btn-active-color: var(--bs-btn-hover-color);
        --bs-btn-active-bg: #5a23c8;
        --bs-btn-active-border-color: #5a23c8;
      }

      .bd-mode-toggle {
        z-index: 1500;
      }

      .bd-mode-toggle .dropdown-menu .active .bi {
        display: block !important;
      }


.dropend .dropdown-toggle {
  color: salmon;
  margin-left: 1em;
}

.dropdown .dropdown-menu {
  display: none;
}
.dropdown:hover > .dropdown-menu,
.dropend:hover > .dropdown-menu {
  display: block;

}
@media screen and (min-width: 769px) {
  .dropend:hover > .dropdown-menu {
    position: absolute;
    top: 0;
    left: 100%;
  }
  .dropend .dropdown-toggle {
    margin-left: 0.5em;
  }
}

.fixed-top {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1030; /* Giá trị z-index đủ cao để đặt header trên các phần tử khác */
    background-color: #ffffff; /* Đặt màu nền cho header */
    box-shadow: 0 4px 2px -2px gray; /* Thêm hiệu ứng shadow cho header */
}
.fixed-top .navbar-brand img {
  max-height: 35px;
}
body a {
    color: var(--lehaos-color_a);
}
.lehaos-bg-color2,.bg-color2{

    background-color: var(--lehaos-color2) !important;
}
.lehaos-bg-color1,.bg-color1{

    background-color: var(--lehaos-color1) !important;
}
.border-color1{
    border-color: var(--lehaos-color1) !important;}
.btn-color2{
    background-color: var(--lehaos-color2) !important;
    color:white
}
.btn-color2 a{
    color: white}
.btn-outline-color2{
    color: var(--lehaos-color2) !important;
    border-color: var(--lehaos-color2) !important;
}

header {
    position: -webkit-sticky; /* Cho các trình duyệt WebKit như Safari */
    position: sticky;
    top: 0;
    z-index: 1000; /* Đảm bảo header nằm trên các thành phần khác */
}

li.menu_sub_2:hover ul.menu_sub_3 {
  display: block;
}
/* Hide the submenu by default */
.dropdown-menu {
  display: none;
}

/* Make sure the submenu is positioned correctly */
.menu_sub_3 {
  position: absolute;
  top: 0;
  left: 100%;
  margin-top: 0;
}